using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business.CUSTOM_PDF.ConsulenzaUnica;

namespace Consulenza.ReportWriter.Manager.Chapter.Unica
{
    public class S75 : Entity.Chapter
    {
        public S75(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S75(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        /// <summary>
        /// Scheda 75. Avvertenze
        /// </summary>
        protected override void Draw()
        {
            //Aggiungo la pagina
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));
            var testi = GetText();
            var intestazione = new ChapterHeadingPDF(
                testi.Rows[0]["testo1"].ToString(),
                EnvironmentFacade.RendererFacade.XLeftLimit,
                EnvironmentFacade.RendererFacade.YUpperLimit,
                EnvironmentFacade.ReportEnvironment.FontFamily
                );

            // Aggiungo gli elementi
            AddElement(intestazione.ToElement());
        }
    }
}
